Form Element for jQuery Autocomplete View Helper

package | ZendX_JQuery
subpackage | Form
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_Form_Element_UiWidget

### Methods

## Constructor

    __construct(mixed $spec, mixed $options = null)

Inherited

### Parameters

#### $spec

`mixed`

#### $options

`mixed`

## Retrieve all decorators

    getDecorators() : array

Inherited

### Exceptions

`\ZendX_JQuery_Form_Exception` |

### Returns

`array`

## Get jQuery related parameter of this form element

    getJQueryParam(string $key) : string

Inherited

### Parameters

#### $key

`string`

### Returns

`string`

## Get all currently known jQuery related parameters of this element

    getJQueryParams() : array

Inherited

### Returns

`array`

## Load default decorators

    loadDefaultDecorators() : void

Inherited

## Set a jQuery related parameter of this form element.

    setJQueryParam(string $key, string $value) : \ZendX_JQuery_Form_Element_UiWidget

Inherited

### Parameters

#### $key

`string`

#### $value

`string`

### Returns

`\ZendX_JQuery_Form_Element_UiWidget`

## Set an array of jQuery related options for this element (merging with old options).

    setJQueryParams(Array $params) : \ZendX_JQuery_Form_Element_UiWidget

Inherited

### Parameters

#### $params

`Array`

### Returns

`\ZendX_JQuery_Form_Element_UiWidget`

## Set the view object

    setView(\Zend_View_Interface $view = null) : \ZendX_JQuery_Form_Element_UiWidget

Inherited

Ensures that the view object has the jQuery view helper path set.

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_Form_Element_UiWidget`

### Properties

## $helper

    $helper

### Default

`"autoComplete"`

## jQuery related parameters of this form element.

    $jQueryParams : array

### Default

`array()`

## Just here to prevent errors.

    $options : array

### Default

`array()`